Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1374649 - Support for rc.d and init for Service management
Summary: Support for rc.d and init for Service management
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: eventsapi
Version: 3.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Aravinda VK
QA Contact:
URL:
Whiteboard:
Depends On: 1365395
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-09 10:38 UTC by Aravinda VK
Modified: 2016-12-06 06:00 UTC (History)
1 user (show)

Fixed In Version: glusterfs-3.9.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1365395
Environment:
Last Closed: 2016-12-06 06:00:14 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Aravinda VK 2016-09-09 10:38:45 UTC
+++ This bug was initially created as a clone of Bug #1365395 +++

Description of problem:
Current Eventsd depends on systemd service files, Add support for rc.d and init scripts.

Changes required in
gluster-eventsapi start|stop|reload|restart

--- Additional comment from Worker Ant on 2016-08-30 23:07:49 EDT ---

REVIEW: http://review.gluster.org/15367 (eventsapi: Add Init scripts for different distributions) posted (#1) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Worker Ant on 2016-09-04 07:47:54 EDT ---

REVIEW: http://review.gluster.org/15367 (eventsapi: Add Init scripts for different distributions) posted (#2) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Worker Ant on 2016-09-05 08:30:49 EDT ---

REVIEW: http://review.gluster.org/15367 (eventsapi: Add Init scripts for different distributions) posted (#3) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Worker Ant on 2016-09-06 11:52:33 EDT ---

REVIEW: http://review.gluster.org/15367 (eventsapi: Add Init scripts for different distributions) posted (#4) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Worker Ant on 2016-09-08 02:16:06 EDT ---

REVIEW: http://review.gluster.org/15367 (eventsapi: Add Init scripts for different distributions) posted (#5) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Worker Ant on 2016-09-08 13:39:27 EDT ---

REVIEW: http://review.gluster.org/15367 (eventsapi: Add Init scripts for different distributions) posted (#6) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Worker Ant on 2016-09-09 06:29:37 EDT ---

COMMIT: http://review.gluster.org/15367 committed in master by Aravinda VK (avishwan@redhat.com) 
------
commit 5a1abd235d05809bc7a5c4b94ae7bb51add6fc9c
Author: Aravinda VK <avishwan@redhat.com>
Date:   Wed Aug 31 08:33:44 2016 +0530

    eventsapi: Add Init scripts for different distributions
    
    Added init scripts for
    - SysvInit(CentOS 6 or Red Hat 6)
    - rc.d (FreeBSD)
    
    Most of the latest distributions are using systemd. Support to be
    added for other distributions which are not using systemd.
    
    Removed systemctl wrapper functions(start/stop/status) from
    gluster-eventsapi CLI(peer_eventsapi.py). Status and Reload
    re-implemented using pid file check.
    
    Added pid file support for glustereventsd.
    
    Following dependencies removed
    python-flask - Only used for example dashboard. User can install
    if required.
    python-fasteners - Not available for EPEL 6, added custom code using
    fcntl as replacement.
    
    BUG: 1365395
    Change-Id: I26792eae9b11e93304f70b3997cd7d8d03b067f4
    Signed-off-by: Aravinda VK <avishwan@redhat.com>
    Reviewed-on: http://review.gluster.org/15367
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

Comment 1 Worker Ant 2016-09-09 10:40:06 UTC
REVIEW: http://review.gluster.org/15453 (eventsapi: Add Init scripts for different distributions) posted (#1) for review on release-3.9 by Aravinda VK (avishwan@redhat.com)

Comment 2 Worker Ant 2016-09-10 08:08:22 UTC
COMMIT: http://review.gluster.org/15453 committed in release-3.9 by Atin Mukherjee (amukherj@redhat.com) 
------
commit 260ab618c61d683a55b12faf64f5b6c8297ebb93
Author: Aravinda VK <avishwan@redhat.com>
Date:   Wed Aug 31 08:33:44 2016 +0530

    eventsapi: Add Init scripts for different distributions
    
    Added init scripts for
    - SysvInit(CentOS 6 or Red Hat 6)
    - rc.d (FreeBSD)
    
    Most of the latest distributions are using systemd. Support to be
    added for other distributions which are not using systemd.
    
    Removed systemctl wrapper functions(start/stop/status) from
    gluster-eventsapi CLI(peer_eventsapi.py). Status and Reload
    re-implemented using pid file check.
    
    Added pid file support for glustereventsd.
    
    Following dependencies removed
    python-flask - Only used for example dashboard. User can install
    if required.
    python-fasteners - Not available for EPEL 6, added custom code using
    fcntl as replacement.
    
    > Reviewed-on: http://review.gluster.org/15367
    > Smoke: Gluster Build System <jenkins@build.gluster.org>
    > CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    > Reviewed-by: Niels de Vos <ndevos@redhat.com>
    > NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    > Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    
    BUG: 1374649
    Change-Id: I26792eae9b11e93304f70b3997cd7d8d03b067f4
    Signed-off-by: Aravinda VK <avishwan@redhat.com>
    (cherry picked from commit 5a1abd235d05809bc7a5c4b94ae7bb51add6fc9c)
    Reviewed-on: http://review.gluster.org/15453
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 3 Aravinda VK 2016-10-27 05:23:02 UTC
glusterfs-3.9.0rc2 is released[1] and packages are available for different distributions[2] to test.

[1] http://www.gluster.org/pipermail/maintainers/2016-October/001601.html
[2] http://www.gluster.org/pipermail/maintainers/2016-October/001605.html and http://www.gluster.org/pipermail/maintainers/2016-October/001606.html

Comment 4 Aravinda VK 2016-12-06 06:00:14 UTC
Gluster 3.9 GA is released http://blog.gluster.org/2016/11/announcing-gluster-3-9/


Note You need to log in before you can comment on or make changes to this bug.